# Authors and Contributors

## Original Author & Creator

**Partha Sarathi Kundu** (@pxkundu)
- Email: inboxkundu@gmail.com
- GitHub: https://github.com/pxkundu
- Role: Original creator, architect, and lead developer of AWDX
- Contributions: Complete architecture, all 6 modules (Profilyze, Costlyzer, IAMply, S3ntry, Secrex, SecuTide), AI engine integration

**Independence Notice**: AWDX is developed independently by Partha Sarathi Kundu and is not affiliated with, endorsed by, or sponsored by any organization, university, or company.

## Intellectual Property Notice

**AWDX (AWS DevOps X)** is the intellectual property of Partha Sarathi Kundu.

- **Copyright**: © 2024 Partha Sarathi Kundu. All rights reserved.
- **License**: Released under MIT License (see [LICENSE](https://github.com/pxkundu/awdx/blob/development/LICENSE))
- **Trademark**: "AWDX" and "AWS DevOps X" are trademarks of Partha Sarathi Kundu

## Core Contributors

*This section will be updated as contributors join the project.*

### Code Contributors
- Partha Sarathi Kundu - Original creator and maintainer

### Documentation Contributors
- Partha Sarathi Kundu - All initial documentation

### Testing & Quality Assurance
- Partha Sarathi Kundu - Security scanning framework, test infrastructure

## Contribution Guidelines

All contributors retain their rights to their contributions while granting necessary rights to the project under the MIT License. For detailed contribution guidelines, see [CONTRIBUTING.md](CONTRIBUTING.md).

### Contributor Agreement

By contributing to AWDX, you agree that:
1. Your contributions will be licensed under the same MIT License
2. You have the right to submit your contributions
3. You grant Partha Sarathi Kundu rights to use your contributions in the project
4. You will be credited in this AUTHORS file for significant contributions

## Recognition & Attribution

When using AWDX in academic research, publications, or commercial products, please cite:

```
Kundu, P. S. (2024). AWDX: AWS DevOps X - Gen AI-powered AWS DevSecOps CLI tool. 
GitHub. https://github.com/pxkundu/awdx
```

For BibTeX:
```bibtex
@software{awdx2024,
  author = {Kundu, Partha Sarathi},
  title = {AWDX: AWS DevOps X - Gen AI-powered AWS DevSecOps CLI tool},
  year = {2024},
  url = {https://github.com/pxkundu/awdx},
  note = {MIT License}
}
```

---

*This file is maintained to ensure proper attribution and recognition of all contributors to the AWDX project.* 